Package be.ehealth.technicalconnector.session

# Interface SessionItem

All Known Implementing Classes:
  `SessionItemImpl`

public interface SessionItem
The SessionItem class is a base class for all objects that are included in a session

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Credential`
  `getEncryptionCredential()`
  Gets the personal credential.
  `Crypto`
  `getEncryptionCrypto()`
  Gets the crypto associated with the Encryption credentials
  `Map<String,PrivateKey>`
  `getEncryptionPrivateKeys()`
  Gets the personaldecryption keys.
  `Credential`
  `getHeaderCredential()`
  `Credential`
  `getHolderOfKeyCredential()`
  Gets the system credential.
  `Crypto`
  `getHolderOfKeyCrypto()`
  Gets the crypto associated with the HOK credentials
  `Map<String,PrivateKey>`
  `getHolderOfKeyPrivateKeys()`
  Gets the system decryption keys.
  `SAMLToken`
  `getSAMLToken()`
  Gets the sAML token.
  `void`
  `setEncryptionCredential(Credential encryptionCredential)`
  Sets the personal credential.
  `void`
  `setEncryptionPrivateKeys(Map<String,PrivateKey> encryptionPrivateKeys)`
  Sets the personaldecryption keys.
  `void`
  `setHeaderCredential(Credential headerCredential)`
  `void`
  `setHolderOfKeyCredential(Credential hokCredential)`
  Sets the system credential.
  `void`
  `setHolderOfKeyPrivateKeys(Map<String,PrivateKey> hokPrivateKeys)`
  Sets the system decryption keys.
  `void`
  `setSAMLToken(SAMLToken token)`
  This method will set the samltoken when created

- ## Method Details

  - ### setSAMLToken

    void setSAMLToken(SAMLToken token)
    This method will set the samltoken when created
    Parameters:
      `token` -

  - ### getSAMLToken

    SAMLToken getSAMLToken()
    Gets the sAML token.
    Returns:
      the sAML token

  - ### setHolderOfKeyCredential

    void setHolderOfKeyCredential(Credential hokCredential)
    Sets the system credential.
    Parameters:
      `hokCredential` - the hok credential

  - ### getHolderOfKeyCredential

    Credential getHolderOfKeyCredential()
    Gets the system credential.
    Returns:
      the system credential

  - ### setHolderOfKeyPrivateKeys

    void setHolderOfKeyPrivateKeys(Map<String,PrivateKey> hokPrivateKeys)
    Sets the system decryption keys.
    Parameters:
      `hokPrivateKeys` - the system decryption keys

  - ### getHolderOfKeyPrivateKeys

    Map<String,PrivateKey> getHolderOfKeyPrivateKeys()
    Gets the system decryption keys.
    Returns:
      the system decryption keys

  - ### setEncryptionCredential

    void setEncryptionCredential(Credential encryptionCredential)
    Sets the personal credential.
    Parameters:
      `encryptionCredential` - the new personal credential

  - ### getEncryptionCredential

    Credential getEncryptionCredential()
    Gets the personal credential.
    Returns:
      the personal credential

  - ### setEncryptionPrivateKeys

    void setEncryptionPrivateKeys(Map<String,PrivateKey> encryptionPrivateKeys)
    Sets the personaldecryption keys.
    Parameters:
      `encryptionPrivateKeys` - the personaldecryption keys

  - ### getEncryptionPrivateKeys

    Map<String,PrivateKey> getEncryptionPrivateKeys()
    Gets the personaldecryption keys.
    Returns:
      the personaldecryption keys

  - ### getHolderOfKeyCrypto

    Crypto getHolderOfKeyCrypto() throws TechnicalConnectorException
    Gets the crypto associated with the HOK credentials
    Returns:
    Throws:
      `TechnicalConnectorException`

  - ### getEncryptionCrypto

    Crypto getEncryptionCrypto() throws TechnicalConnectorException
    Gets the crypto associated with the Encryption credentials
    Returns:
    Throws:
      `TechnicalConnectorException`

  - ### setHeaderCredential

    void setHeaderCredential(Credential headerCredential) throws TechnicalConnectorException
    Parameters:
      `headerCredential` - the headerCredential to set
    Throws:
      `TechnicalConnectorException`

  - ### getHeaderCredential

    Credential getHeaderCredential() throws TechnicalConnectorException
    Returns:
      the hokCredential
    Throws:
      `TechnicalConnectorException`